# add

abstract fun add(element: T)

Adds an element to the property value.

#### Parameters

element

The element

abstract fun add(provider: Provider<out T>)

Adds an element to the property value.

The given provider will be queried when the value of this property is queried. This property will have no value when the given provider has no value.

#### Parameters

provider

The provider of an element